## Script (Python) "documentasPDF"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=
##title=HTML TO XX
##

# """
# PloneOOoTransforms

# (C) 2005, 2006, ZINDEP and Contributors
# http://www.zindep.com

# Contact: plone@zindep.com

# License: see LICENSE.txt

# """
from Products.CMFCore.utils import getToolByName

ptTool = getToolByName(context, 'portal_transforms')
at_tool = getToolByName(context, 'archetype_tool')
mimetypes_registry = getToolByName(context, 'mimetypes_registry')

sp = traverse_subpath

output_ext = sp[0]
model_uid = sp[1]

model = at_tool.getObject(model_uid)


# portal_properties file config
# getRawText is not authorised for anonymous.
if hasattr(context, 'CookedBody'):
    html  = context.CookedBody(stx_level=2)
else:
    html = context.view()

filename = filename_in = filename_out = context.getId()
if not filename_in.endswith('.html'):
    filename_in += '.html'

filename_out = '%s.%s' % (filename.split('.')[0], output_ext)
output = mimetypes_registry.lookupExtension(filename_out)

mt = 'text/html'

result = ptTool.convertToData(output,
                              html,                  
                              mimetype=mt, 
                              # object=context,           # used for cache
                              context=context,
                              filename=filename_in,
                              DocumentBaseURL=context.absolute_url(),
                              # XXX automate the mapping ?
                              Author=context.Creator(),
                              Subject=context.Description(),
                              Title=context.title_or_id(),
                              model=model)
if result:
    data = result
else:
    return state.set(status='failure', portal_status_message='Sorry, unable to convert this document.')

# except: # TransformException:
#     data = ''
context.REQUEST.RESPONSE.setHeader("Content-Type",output)
# context.REQUEST.RESPONSE.addHeader("Content-Disposition","filename=%s" % 'coucou.pdf')
context.REQUEST.RESPONSE.setHeader('Content-Disposition','attachment; filename="%s"' % filename_out)
# REQUEST.RESPONSE.setHeader('content-type','application/zip')
return data

