# -*- coding: utf-8 -*-


from Products.PortalTransforms.interfaces import itransform

from Products.PloneOOoTransforms.libtransforms.uno_to_xx import uno_to_xx

import os.path

class calc_to_pdf(uno_to_xx):
    __implements__ = itransform

    __name__ = "calc_to_pdf"
    inputs   = ('application/vnd.ms-excel',
                'application/vnd.sun.xml.calc',
                )
    output  = 'application/pdf'
    output_encoding = 'utf-8'

    filter_name = 'calc_pdf_Export'
    out_ext = '.pdf'

def register():
    return calc_to_pdf()

