# -*- coding: utf-8 -*-

from Products.PortalTransforms.interfaces import itransform

from Products.PloneOOoTransforms.libtransforms.uno_to_xx import uno_to_xx

import os.path

class impress_to_html(uno_to_xx):
    __implements__ = itransform

    __name__ = "impress_to_html"
    inputs   = ('application/vnd.ms-powerpoint',
                'application/vnd.sun.xml.impress',
                )
    output  = 'text/html'
    output_encoding = 'utf-8'

    filter_name = 'impress_html_Export'
    out_ext = '.html'

def register():
    return impress_to_html()

