# -*- coding: utf-8 -*-

from Products.PortalTransforms.interfaces import itransform

from Products.PloneOOoTransforms.libtransforms.uno_to_xx import uno_to_xx

import os.path

class ppt_to_impress(uno_to_xx):
    __implements__ = itransform

    __name__ = "ppt_to_impress"
    inputs   = ('application/vnd.ms-powerpoint',
                )
    output  = 'application/vnd.sun.xml.impress'
    output_encoding = 'utf-8'

    filter_name = 'impress8'
    out_ext = '.sxi'

def register():
    return ppt_to_impress()

