
#---------------------------- patches for PortalTransforms -------------------------------------
#

from AccessControl import ClassSecurityInfo
security = ClassSecurityInfo()

from Products.PortalTransforms.TransformEngine import TransformTool

def _findPath(self, orig, target, required_transforms=(), path=[], min_path=[], transformers=None):
    """patch method for PortalTranforms ('optimisation'):
    return the shortest path for transformation from orig mimetype to
    target mimetype 
    """
    # import pdb; pdb.set_trace()
    if transformers==None:
        if not self._mtmap:
            return None
        transformers=[]
        for k, v in self._mtmap.items():
            for kv, vv in v.items():
                transformers.append([k,kv,vv])

    if len(min_path) > len(path) or len(min_path)==0 and len(path)<5:
        for a, b, transforms in transformers:
            if a==orig:
                unvisited_transformers = list(transformers)
                unvisited_transformers.remove([a,b,transforms])
                transform = transforms[0]
                finded_path = list(path)
                finded_path.append(transform)
                if b==target:
                    required_ok = True
                    for r in required_transforms:
                        if r not in [t.name() for t in finded_path]:
                            required_ok = False
                    if required_ok:
                        min_path = finded_path
                min_path = self._findPath(b, target, required_transforms=required_transforms, path=finded_path, min_path=min_path, transformers=unvisited_transformers)

    return min_path


    
# patche
security.declarePublic(_findPath.__name__)
setattr(TransformTool, _findPath.__name__, _findPath)



def getOutputMimetypes(self, orig, transformers=None, mimetypes={}):
    """new method for PortalTransforms :
    return the list of output mimetypes
    that can be obtained from orig mimetype
    """
    # import pdb; pdb.set_trace()
    if transformers==None:
        if not self._mtmap:
            return None
        transformers = dict(self._mtmap)

    if transformers.has_key(orig) and len(transformers[orig].items()) > 0:
        for o_mt, transforms in transformers[orig].items():
            if not mimetypes.has_key(o_mt):
                unvisited_transformers = dict(transformers)
                unvisited_transformers[orig] = dict(transformers[orig])
                del unvisited_transformers[orig][o_mt]
                mimetypes[o_mt]=1
                self.getOutputMimetypes(o_mt, unvisited_transformers, mimetypes)
                    
    return mimetypes.keys()

    

# patche


security.declarePublic(getOutputMimetypes.__name__)
setattr(TransformTool, getOutputMimetypes.__name__, getOutputMimetypes)



