## Script (Python) "getAllFileTr"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=filefield=None
##title=get All File Transformations
##

from Products.CMFCore.utils import getToolByName

mt_input='text/html'
if filefield and hasattr(context, filefield):
    f = getattr(context, filefield)()
    mt_input = f.getContentType()

ptTool = getToolByName(context, 'portal_transforms')
mimetypes_registry = getToolByName(context, 'mimetypes_registry')
poooTool = getToolByName(context, 'portal_oootransformtool')

mimetypes_id = ptTool.getOutputMimetypes(mt_input)

mimetypes_id = [id for id in mimetypes_id if id in poooTool.getMimetypesOutputFor(mt_input)]


mimetypes_dict = {}
mimetypes = []
for mt_id in mimetypes_id:
    mt = mimetypes_registry.lookup(mt_id)[0]
    if not mimetypes_dict.has_key(mt) and len(mt.extensions)>0:
        mimetypes_dict[mt]=1
        mimetypes.append([mt.name, mt.icon_path, mt_id, mt.extensions[0]])

    
return mimetypes

