# -*- coding: utf-8 -*-

from Products.PortalTransforms.interfaces import itransform

from Products.PloneOOoTransforms.libtransforms.uno_to_xx import uno_to_xx

import os.path

class calc_to_html(uno_to_xx):
    __implements__ = itransform

    __name__ = "calc_to_html"
    inputs   = ('application/vnd.ms-excel',
#                'application/msexcel',
                'application/vnd.sun.xml.calc',
                )
    output  = 'text/html'
    output_encoding = 'utf-8'

    filter_name = 'HTML (StarCalc)'
    out_ext = '.html'

def register():
    return calc_to_html()

