# -*- coding: utf-8 -*-

from Products.PortalTransforms.interfaces import itransform

from Products.PloneOOoTransforms.libtransforms.uno_to_xx import uno_to_xx

import os.path

class calc_to_xls(uno_to_xx):
    __implements__ = itransform

    __name__ = "calc_to_xls"
    inputs   = ('application/vnd.sun.xml.calc',
                )
    output  = 'application/vnd.ms-excel'
    output_encoding = 'utf-8'

    filter_name = 'MS Excel 97'
    out_ext = '.xls'

def register():
    return calc_to_xls()

