# -*- coding: utf-8 -*-

from Products.PortalTransforms.interfaces import itransform

from Products.PloneOOoTransforms.libtransforms.uno_to_xx import uno_to_xx

import os.path

class impress_to_ppt(uno_to_xx):
    __implements__ = itransform

    __name__ = "impress_to_ppt"
    inputs   = ('application/vnd.sun.xml.impress',
                )
    output  = 'application/vnd.ms-powerpoint'
    output_encoding = 'utf-8'

    filter_name = 'MS PowerPoint 97'
    out_ext = '.ppt'

def register():
    return impress_to_ppt()

