# -*- coding: utf-8 -*-

from Products.PortalTransforms.interfaces import itransform

from Products.PloneOOoTransforms.libtransforms.uno_to_xx import uno_to_xx

import os.path

class impress_to_svg(uno_to_xx):
    __implements__ = itransform

    __name__ = "impress_to_svg"
    inputs   = ('application/vnd.ms-powerpoint',
                'application/vnd.sun.xml.impress',
                )
    output  = 'image/svg+xml'
    output_encoding = 'utf-8'

    filter_name = 'impress_flash_Export'
    out_ext = '.svg'

def register():
    return impress_to_svg()

