# -*- coding: utf-8 -*-

"""
PloneOOoTransforms

(C) 2005, 2006, ZINDEP and Contributors
http://www.zindep.com

Contact: plone@zindep.com

License: see LICENSE.txt

"""
from Products.PortalTransforms.interfaces import itransform

from Products.PloneOOoTransforms.libtransforms.uno_to_xx import uno_to_xx

import os.path

class odt_to_msword(uno_to_xx):
    __implements__ = itransform

    __name__ = "odt_to_msword"
    inputs   = ('application/msword',
                'application/vnd.oasis.opendocument.text',
                'application/vnd.sun.xml.writer',
                'application/rtf',
                )
    output  = 'application/msword'
    output_encoding = 'utf-8'

    filter_name = 'MS Word 97'
    out_ext = '.doc'

def register():
    return odt_to_msword()

