

from Products.PortalTransforms.interfaces import itransform
from Products.PortalTransforms.libtransforms.commandtransform import popentransform

class pdf_to_png(popentransform):
    __implements__ = itransform

    __name__ = "pdf_to_png"
    inputs   = ('application/pdf',)
    output  = 'image/png'
    output_encoding = ''
    
    __version__ = '2005-15-01'

    binaryName = "gs"
    binaryArgs = "-dNOPAUSE -sDEVICE=png256 -sOutputFile=- -q -dBATCH %(infile)s"
    useStdin = False


def register():
    return pdf_to_png()
